<?php

namespace AutoAdmin\Bundle\Seo\Model;

use AutoAdmin\Bundle\Seo\Entity\OpenGraphMetadata;
use Doctrine\ORM\Mapping as ORM;

trait OpenGraphContentTranslationTrait
{
    #[ORM\Embedded(class: OpenGraphMetadata::class, columnPrefix: 'og_')]
    protected ?OpenGraphMetadata $openGraphMetadata = null;

    public function getOpenGraphMetadata(): ?OpenGraphMetadata
    {
        return $this->openGraphMetadata;
    }

    public function setOpenGraphMetadata(?OpenGraphMetadata $openGraphMetadata): self
    {
        $this->openGraphMetadata = $openGraphMetadata;

        return $this;
    }
}